SoftSolzSoftSolz
HomeAPI GuideAPI ReferenceWidget Tester
invoicing

Update a customer.

Update a customer.

PUThttps://app.softsolz.uk/api/v1/services/invoicing/customers/{id}

Recent Requests

Kept only in this browser
TimeStatusTook
Send a request with Try it to see it here.

Path Params

idstringrequired

Headers

Authorizationstringrequired

Bearer token: `Bearer sk_live_...` (or `sk_test_...` for sandbox). A login token will not work here.

Body Params

display_namestring

Customer display name (required, trimmed).

emailstring | null

Primary AR email (lower-cased).

phonestring | null

Contact phone.

billing_address_line1string | null

Billing address line 1.

billing_citystring | null

Billing city.

billing_postal_codestring | null

Billing postal code.

billing_countrystring | null

Billing country (ISO 2-letter).

tax_idstring | null

Tax / VAT id.

default_payment_terms_daysinteger

Default payment terms in days (default 30).

default_currencystring

3-letter currency code; defaults to USD.

notesstring | null

Free-text notes.

expected_updated_atstring

Optimistic-concurrency guard; if stale, returns 409 STALE_VERSION.

Response

Response Body

idintegerCustomer id.
display_namestringCustomer display name.
emailstring | nullPrimary AR email.
phonestring | nullContact phone.
billing_address_line1string | nullBilling address line 1.
billing_citystring | nullBilling city.
billing_postal_codestring | nullBilling postal code.
billing_countrystring | nullBilling country (ISO 2-letter).
tax_idstring | nullTax / VAT id.
default_payment_terms_daysintegerDefault payment terms in days.
default_currencystringDefault ISO 4217 currency code.
is_activebooleanFalse once archived.
created_atstringCreation timestamp.
updated_atstringLast update timestamp; round-trip as expected_updated_at.

Request

curl --request PUT \
--url https://app.softsolz.uk/api/v1/services/invoicing/customers/{id} \
--header 'Authorization: Bearer sk_live_your_key' \
--header 'Content-Type: application/json' \
--data '{
"display_name": "SoftSolz Ltd",
"email": "ar@softsolz.example",
"phone": "+44 20 7946 0000",
"billing_address_line1": "1 High St",
"billing_city": "London",
"billing_postal_code": "EC1A 1BB",
"billing_country": "GB",
"tax_id": "GB123456789",
"default_payment_terms_days": 30,
"default_currency": "GBP",
"notes": "Net-30, PO required"
}'

Credentials

Sent as a Bearer token and used in the samples above and in Try it. Kept only in this browser tab until you close it. Use an sk_test_ key to stay in your sandbox.

Response · 200

{
"data": {
"id": 42,
"display_name": "SoftSolz Ltd",
"email": "ar@softsolz.example",
"phone": "+44 20 7946 0000",
"billing_address_line1": "1 High St",
"billing_city": "London",
"billing_postal_code": "EC1A 1BB",
"billing_country": "GB",
"tax_id": "GB123456789",
"default_payment_terms_days": 30,
"default_currency": "GBP",
"is_active": true,
"created_at": "2026-01-15T09:30:00.000Z",
"updated_at": "2026-01-15T09:30:00.000Z"
}
}